org.springframework.scheduling

## Interface Trigger

- All Known Implementing Classes:
    CronTrigger, PeriodicTrigger

      public interface Trigger

  Common interface for trigger objects that determine the next execution time of a task that they get associated with.
  Since:
    3.0
  Author:
    Juergen Hoeller
  See Also:
    `TaskScheduler.schedule(Runnable, Trigger)`, `CronTrigger`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `nextExecutionTime(TriggerContext triggerContext)` Determine the next execution time according to the given trigger context.

- - ### Method Detail

    - #### nextExecutionTime

          Date nextExecutionTime(TriggerContext triggerContext)

      Determine the next execution time according to the given trigger context.
      Parameters:
        `triggerContext` - context object encapsulating last execution times and last completion time
      Returns:
        the next execution time as defined by the trigger, or `null` if the trigger won't fire anymore